View Issue Details

IDProjectCategoryView StatusLast Update
0008664mantisbtlocalizationpublic2021-06-04 18:46
Reportersveyret Assigned Todregad  
PrioritynormalSeverityfeatureReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.0.8 
Target Version2.26.0Fixed in Version2.26.0 
Summary0008664: Translation in Espéranto
Description

That would be good to have a localization in the international langage esperanto…

TagsNo tags attached.

Activities

vboctor

vboctor

2007-12-15 20:30

manager   ~0016444

You can take lang/strings_english.txt and translate it to your language. Once you do that, you can attach it to this issue and we will include it into Mantis.

grangeway

grangeway

2008-05-02 18:15

reporter   ~0017739

Thank you for taking the time to report a problem with mantis.

Since this problem report was originally made, a number of releases have occurred.
It appears that this issue has either been fixed, or may not be a relevant report for the current release.

Unfortunately you are not using the latest version and the problem might already be fixed. Please download the latest release from http://www.mantisbt.org/download.php

If you are able to reproduce this bug in the current release, or have some more information on how this feature could be improved in the current release. Please either change the mantis version on this bug report
to the version you tested and change the status back to "Open", or open a new issue report wit more information.

Again, thank you for your bug report and your continued support.
Paul

dregad

dregad

2021-06-04 12:10

developer   ~0065597

Esperanto strings were added on 2019-05-17 via TranslateWiki (see MantisBT master 62a5c91f ), but the file was named incorrectly (strings_eo.txt instead of strings_esperanto.txt), and furthermore was never referenced in $g_language_choices_arr so it could not actually be used in the system.

dregad

dregad

2021-06-04 12:14

developer   ~0065598

I contacted TranslateWiki team over IRC, and they fixed the file name on 2021-06-01 ( MantisBT master a91c415a ).

Related Changesets

MantisBT: master 62a5c91f

2019-05-17 06:27:02

translatewiki.net

Details Diff
Localisation updates from https://translatewiki.net. Affected Issues
0008664
mod - lang/strings_dutch.txt Diff File
add - lang/strings_eo.txt Diff File
mod - lang/strings_interlingua.txt Diff File
mod - lang/strings_korean.txt Diff File
mod - lang/strings_persian.txt Diff File
mod - lang/strings_slovak.txt Diff File

MantisBT: master 3ef8e4e7

2021-06-02 13:03:12

dregad

Details Diff
New language: esperanto

Esperanto translation was added on 2019-05-17 [1], but was never
referenced in $g_language_choices_arr so it could not be used.

Fixes 0008664

[1]: see commit 62a5c91f95164739b615e3be686bf77ac2dba376
Affected Issues
0008664
mod - config_defaults_inc.php Diff File